| Elektra 0.11.0

Namespaces | Functions
backendparser.cpp File Reference

Tests for the Backend parser class. More...

`#include <backendparser.hpp>`
`#include <functional>`
`#include <string>`
`#include <keyset.hpp>`
`#include <toolexcept.hpp>`

## Namespaces
namespace | kdb
| This is the main namespace for the C++ binding and libraries.
namespace | kdb::tools
| This namespace is for the libtool library.

## Functions
kdb::KeySet | kdb::tools::parsePluginArguments (std::string const &pluginArguments, std::string const &basepath)
| Parse a string containing information to create a KeySet.
PluginSpecVector | kdb::tools::parseArguments (std::string const &cmdline)
| Parse a complete commandline.
void | kdb::tools::detail::processArgument (PluginSpecVector &arguments, size_t &counter, std::string argument)
| Process a single argument and add it to PluginSpecVector.
void | kdb::tools::detail::fixArguments (PluginSpecVector &arguments)
| Fix refnames after parsing.

## Detailed Description

Tests for the Backend parser class.

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)

## Function Documentation

## ◆ fixArguments()

void kdb::tools::detail::fixArguments | ( | PluginSpecVector & | arguments | ) |

Fix refnames after parsing.

## ◆ processArgument()

void kdb::tools::detail::processArgument | ( | PluginSpecVector & | arguments,
|  | size_t & | counter,
|  | std::string | argument
| ) |  |

Process a single argument and add it to PluginSpecVector.